summaryrefslogtreecommitdiffstats
path: root/bin/diffoscope_distribution_test.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-04-25 15:37:45 +0200
committerHolger Levsen <holger@layer-acht.org>2016-04-25 15:43:34 +0200
commitde6c5412941a5945af9f7176595632499a983c81 (patch)
tree42d168362da7eaed467e69bd7f23aea144ed9896 /bin/diffoscope_distribution_test.sh
parent1dc7cb84075d627295abb951c201b16f0699f7f6 (diff)
downloadjenkins.debian.net-de6c5412941a5945af9f7176595632499a983c81.tar.xz
diffoscope distribution tests: add tests for FreeBSD, NetBSD and MacPorts
Diffstat (limited to 'bin/diffoscope_distribution_test.sh')
-rwxr-xr-xbin/diffoscope_distribution_test.sh29
1 files changed, 25 insertions, 4 deletions
diff --git a/bin/diffoscope_distribution_test.sh b/bin/diffoscope_distribution_test.sh
index cbb7207d..722e4305 100755
--- a/bin/diffoscope_distribution_test.sh
+++ b/bin/diffoscope_distribution_test.sh
@@ -30,15 +30,38 @@ check_pypi() {
fi
}
+check_whohas() {
+ # the following is "broken" as sort doesn't do proper version comparison
+ DIFFOSCOPE_IN_WHOHAS=$(whohas -d $DISTRIBUTION diffoscope | awk '{print $3}' | sort -u | tail -1)
+ echo
+ echo
+ if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_WHOHAS" ] ; then
+ echo "Yay. diffoscope in Debian has the same version as $DISTRIBUTION has: $DIFFOSCOPE_IN_DEBIAN"
+ elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_WHOHAS" ; then
+ echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "Fail: diffoscope in $DISTRIBUTION: $DIFFOSCOPE_IN_WHOHAS"
+ exit 1
+ else
+ echo "diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "diffoscope in $DISTRIBUTION: $DIFFOSCOPE_IN_WHOHAS"
+ echo
+ echo "Failure is the default action…"
+ exit 1
+ fi
+}
+
+
#
# main
#
DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
case $1 in
- pypi)
+ PyPI) check_pypi
+ ;;
+ FreeBSD|NetBSD|MacPorts)
DISTRIBUTION=$1
- check_pypi
+ check_whohas
;;
*)
echo "Unsupported distribution."
@@ -46,5 +69,3 @@ case $1 in
;;
esac
-
-